///////////////////////////////////////////////////
//Project 1.09 Change RGB Color when SW1 is pressed
int RGB[3] = {9, 10, 11};
int thisLED = 0;
int SW1 = 1;
int isOn = 1;
int isPress = HIGH;
long lastPressed = 0;
long lastBlink = 0;
int blinkSpeed = 1000;

void setup(){
  for(int k = 0; k<3; k++){
    pinMode(RGB[k],OUTPUT);
  }
  pinMode(SW1,INPUT);
}

void loop(){    
  if(millis() > (lastBlink + blinkSpeed)){
    isOn = 1 - isOn;
    lastBlink = millis();
    digitalWrite(RGB[thisLED],isOn);
  }
  //now check the button
  isPress = digitalRead(SW1);
  if(isPress == LOW && millis() > (lastPressed + 1000)){
    digitalWrite(RGB[thisLED],LOW); //turn current LED off
    thisLED ++;
    if(thisLED > 2) thisLED = 0;
    digitalWrite(RGB[thisLED],isOn);	
    lastPressed = millis();
  }  
}
///////////////////////////////////////////////////


