///////////////////////////////////////////////////
//Project 4.08 Piezo Mosquito
int piezo = 12;
long buzzAway = 0;
long level = 0;
void setup(){
  pinMode(piezo,OUTPUT);
}

void loop(){
  buzzAway = random(25,100);
  for(level = 1; level < 50; level++){
    piezoTone(1047,buzzAway,level);
  }  
  buzzAway = random(25,100);
  for(level = 50; level > 1; level--){
    piezoTone(1047,buzzAway,level);
  }  
}

void piezoTone(long freq, long duration, long partOn){
  long aSecond = 1000000;
  long period = aSecond/freq;
  duration = duration*1000;
  duration = duration/period;  
  for(long k = 0; k < duration; k++){
    digitalWrite(piezo,HIGH);
    delayMicroseconds(partOn);
    digitalWrite(piezo,LOW);
    delayMicroseconds(period - partOn);
  }
} 
///////////////////////////////////////////////////

