///////////////////////////////////////////////////
//Project 4.03 Piezo C-Major
int piezo = 12;
char notes[] = {'C','d','D','e','E','F','g','G','a','A','b','B'};
int cScale[] = {1,3,5,6,8,10,12};
float freqs[] = {16.352,17.324,18.354,19.445,20.602,
    21.827,23.125,24.500,25.957,27.500,29.135,30.868};
int majorC[] = {0,2,4,5,7,9,11};
int octave = 0;
long thisNote;
void setup(){
  pinMode(piezo,OUTPUT);
}

void loop(){
  for(int i=0;i<7;i++){
    int k = majorC[i];   
    thisNote = (long) freqs[k]*pow(2,octave);
    piezoTone(thisNote,100);
    delay(50);
  } //end loop through notes
  octave++;
  if(octave>8) octave = 0;
}

void piezoTone(long freq, long duration){
  long aSecond = 1000000;
  long period = aSecond/freq;
  duration = duration*1000;
  duration = duration/period;
  for(long k = 0; k < duration; k++){
    digitalWrite(piezo,HIGH);
    delayMicroseconds(period/2);
    digitalWrite(piezo,LOW);
    delayMicroseconds(period/2);
  }
} 
///////////////////////////////////////////////////





